Bug 841336 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'getattr' accesses on the file /proc/sys/kernel/modprobe.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'getattr' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f681c683613a7f7a2f6aa355c6e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 13:51 EDT by Vasil Draganov
Modified: 2012-08-01 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasil Draganov 2012-07-18 13:51:09 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           18.07.2012 (ср) 20,50,13 EEST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'getattr' accesses on the file /proc/sys/kernel/modprobe.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed getattr access on the modprobe file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pool /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:sysctl_modprobe_t:s0
:Target Objects                /proc/sys/kernel/modprobe [ file ]
:Source                        pool
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-13.0.1-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1 SMP Thu Jul 5
:                              20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    18.07.2012 (ср) 18,39,57 EEST
:Last Seen                     18.07.2012 (ср) 18,40,56 EEST
:Local ID                      975965df-7c3a-4ce3-a086-d940dc69be29
:
:Raw Audit Messages
:type=AVC msg=audit(1342626056.548:161): avc:  denied  { getattr } for  pid=7396 comm="pool" path="/proc/sys/kernel/modprobe" dev="proc" ino=14438 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_modprobe_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1342626056.548:161): arch=x86_64 syscall=lstat success=no exit=EACCES a0=7f52ac49d420 a1=7f52a15e0940 a2=7f52a15e0940 a3=5 items=0 ppid=7161 pid=7396 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pool exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pool,mozilla_plugin_t,sysctl_modprobe_t,file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-07-19 10:46:54 EDT
This this seem to block anything?  Any idea what plugin might have cuased it.
Comment 2 Vasil Draganov 2012-07-20 06:48:00 EDT
No, I didn't noticed any malfunctions.
I have no idea wich plugin is causes this. Here is some info about used plugins:
Mozilla Firefox 13.0.1 
Plugins - DivX Web Player v. 1.4.0.233; Gnome Shell Inegration; IcedTea-Web 1.2 Plugin; iTunes Application Detector; QuickTime Plugin-in 7.6.6; Shockwave Flash 11.2 r202; VLC Multimedia Plugin; Windows Media Player Plug-in 10.
I hope this helps.
Comment 3 Daniel Walsh 2012-07-23 10:24:36 EDT
Added a dontaudit rules for this in Rawhide.
Comment 4 Fedora Update System 2012-07-27 11:33:41 EDT
selinux-policy-3.10.0-142.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-142.fc17
Comment 5 Fedora Update System 2012-07-27 21:23:29 EDT
Package selinux-policy-3.10.0-142.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-142.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11215/selinux-policy-3.10.0-142.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-01 14:20:51 EDT
selinux-policy-3.10.0-142.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.